获取仓库动态
GET/api/v5/repos/:owner/:repo/events
Request
Path Parameters
owner stringrequired
仓库所属空间地址(企业、组织或个人的地址path)
repo stringrequired
仓库路径(path)
Query Parameters
access_token string
filter string
筛选条件,传入all(所有的), push(push事件), merged(merged事件), issue(issue事件), comments(评论事件), team(团队事件), project(项目事件)
author string
事件触发人,传入用户名
before string
起始日期,格式为 YYYY-MM-DD。用来限定返回的事件的起始时间。
after string
结束日期,格式为 YYYY-MM-DD。用来限定返回的事件的结束时间。
page integer
当前的页码
per_page integer
每页的数量,最大为 100,默认 20
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
events object[]
actioninteger
action_namestring
author object
idinteger
iam_idstring
usernamestring
statestring
emailstring
namestring
name_cnstring
web_urlstring
author_idinteger
author_usernamestring
created_atstring
project_idinteger
titlestring
filter_sensitiveinteger
has_next_pageinteger
{
"events": [
{
"action": 0,
"action_name": "string",
"author": {
"id": 0,
"iam_id": "string",
"username": "string",
"state": "string",
"email": "string",
"name": "string",
"name_cn": "string",
"web_url": "string"
},
"author_id": 0,
"author_username": "string",
"created_at": "string",
"project_id": 0,
"title": "string",
"filter_sensitive": 0
}
],
"has_next_page": 0
}
{
"events": [
{
"action": 22,
"action_name": "opened",
"author": {
"id": 607,
"iam_id": "f09ca8d721eb49e4add47b67c0dbef81",
"username": "xiaogang",
"state": "active",
"email": "",
"name": "xiaogang",
"name_cn": "",
"web_url": "https://gitcode.com/xiaogang"
},
"author_id": 607,
"author_username": "xiaogang2",
"created_at": "2024-11-19T07:01:02.714Z",
"project_id": 249609,
"title": "{\"userid\":[496],\"username\":[\"xiaogang\"]}",
"filter_sensitive": true
}
],
"has_next_page": false
}